﻿namespace JavaScriptEngineSwitcher.ChakraCore.JsRt
{
	/// <summary>
	/// The type of a typed JavaScript array
	/// </summary>
	internal enum JsTypedArrayType
	{
		/// <summary>
		/// An int8 array
		/// </summary>
		Int8,

		/// <summary>
		/// An uint8 array
		/// </summary>
		Uint8,

		/// <summary>
		/// An uint8 clamped array
		/// </summary>
		Uint8Clamped,

		/// <summary>
		/// An int16 array
		/// </summary>
		Int16,

		/// <summary>
		/// An uint16 array
		/// </summary>
		Uint16,

		/// <summary>
		/// An int32 array
		/// </summary>
		TypeInt32,

		/// <summary>
		/// An uint32 array
		/// </summary>
		Uint32,

		/// <summary>
		/// A float32 array
		/// </summary>
		Float32,

		/// <summary>
		/// A float64 array
		/// </summary>
		Float64
	}
}